## fte 0.50.2-1.1

=== debian/control ===
Source: fte
Section: editors
Priority: optional
Maintainer: Zdenek Kabelac <kabi@debian.org>
Build-Depends: debhelper (>= 5.0.0), perl5, libx11-dev, libxt-dev,
 libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 x11proto-core-dev, libncurses5-dev, libslang2-dev, patch,
 libxpm-dev
Standards-Version: 3.8.1

Package: fte
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fte-xwindow | fte-terminal | fte-console
Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
Suggests: fte-docs, exuberant-ctags
Description: Text editor for programmers - base package
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This package contains files necessary to build a configuration file and
 some elementary documentation.  There is no editor here; please select one
 of the packages in the dependencies.

Package: fte-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: fte (= ${binary:Version})
Replaces: fte-cfgdocs (<< 0.49.13-3)
Description: Documentation and examples for the FTE editor
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This package contains HTML documentation and sample configuration files.

Package: fte-xwindow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
Provides: editor
Replaces: fte (<< 0.49.2-1)
Description: Text editor for programmers - X Window System edition with I18N support
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This is the X Window System edition, with internationalization support.

Package: fte-console
Architecture: i386 ia64 alpha amd64 armeb armel hppa m32r m68k mips mipsel
 powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
Provides: editor
Conflicts: suidmanager (<< 0.50)
Description: Text editor for programmers - console edition, no I18N support
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This is the Linux console edition, without internationalization support.

Package: fte-terminal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
Provides: editor
Description: Text editor for programmers - version for terminals
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This is the version for terminals (e.g. xterm, vt100).
