## fte 0.50.2-1.2

=== debian/control ===
--- 
+++ 
@@ -55,8 +55,7 @@
  This is the X Window System edition, with internationalization support.
 
 Package: fte-console
-Architecture: i386 ia64 alpha amd64 armeb armel hppa m32r m68k mips mipsel
- powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc
+Architecture: i386 ia64 alpha amd64 armeb armel hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Provides: editor
 Conflicts: suidmanager (<< 0.50)
