=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=5

# This has to be exported to make some magic below work.
#export DH_OPTIONS

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

build:
	dh_testdir
ifeq (linux,$(DEB_HOST_ARCH_OS))
	$(MAKE) -C src -f fte-unix.mak
else
	$(MAKE) -C src -f fte-unix.mak cfte xfte sfte nfte
endif
	touch build

clean:
	dh_testdir
	dh_testroot
	rm -f build
	$(MAKE) -C src -f fte-unix.mak clean
	dh_clean

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdeb -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	cd config; $(CURDIR)/src/cfte main.fte $(CURDIR)/debian/fte/etc/fte/system.fterc
	cp debian/fte.sh $(CURDIR)/debian/fte/usr/bin/fte
	tar czf $(CURDIR)/debian/fte-docs/usr/share/doc/fte/config-example.tar.gz config

	dh_install -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a
	dh_installmenu -a
	dh_installcron -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_installdeb -a
	dh_md5sums -a
	dh_builddeb -a

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: binary binary-indep binary-arch clean
